#set term x11
set term postscript enhanced color
set output 'okayama-min.ps'

set datafile separator ","

set xdata time
set timefmt "%m/%d"

set palette model RGB functions gray,0,0
unset colorbox

set nokey
set label 1 left at graph 0.08,0.96 "0 1 2 3 4 5 6 7 8 9" textcolor palette frac 0.0 
set label 2 left at graph 0.02,0.93 "1960" textcolor palette frac 0.0
set label 3 left at graph 0.02,0.90 "1970" textcolor palette frac 0.2
set label 4 left at graph 0.02,0.87 "1980" textcolor palette frac 0.4
set label 5 left at graph 0.02,0.84 "1990" textcolor palette frac 0.6
set label 6 left at graph 0.02,0.81 "2000" textcolor palette frac 0.8
set label 7 left at graph 0.02,0.78 "2010" textcolor palette frac 1.0

set label 8 left at graph 0.38,0.2 "Okayama 1961-2012" textcolor palette frac 0.0 font "Times-Roman,30"
set label 9 left at graph 0.385,0.15 "Daily minimum temperature" textcolor palette frac 0.0 font "Times-Roman,14"
#set label 8 left at graph 0.38,0.2 "Okayama 1961-2012" textcolor palette frac 0.0
#set label 9 left at graph 0.385,0.15 "Daily minimum temperature" textcolor palette frac 0.0

set xrange ["01/01":"12/31"]
#set format x "%m/%d"
#set format x "%b"
set format x ""
set xtics ("01/01", "Jan       Feb" "02/01",\
           "03/01", "Mar       Apr" "04/01",\
           "05/01", "May       Jun" "06/01",\
           "07/01", "Jul       Aug" "08/01",\
           "09/01", "Sep       Oct" "10/01",\
           "11/01", "Nov       Dec" "12/01")

set yrange [-10:30]
set ylabel "Temperature (degree C)"

set size 1
set pointsize 0.2

plot for [i=1:9] "Okayama_196".i.".csv" using 1:9 with points pointtype i+1 lc palette frac 0.0,\
     for [i=0:9] "Okayama_197".i.".csv" using 1:9 with points pointtype i+1 lc palette frac 0.2,\
     for [i=0:9] "Okayama_198".i.".csv" using 1:9 with points pointtype i+1 lc palette frac 0.4,\
     for [i=0:9] "Okayama_199".i.".csv" using 1:9 with points pointtype i+1 lc palette frac 0.6,\
     for [i=0:9] "Okayama_200".i.".csv" using 1:9 with points pointtype i+1 lc palette frac 0.8,\
     for [i=0:2] "Okayama_201".i.".csv" using 1:9 with points pointtype i+1 lc palette frac 1.0,\
     for [i=1:9] "legend.dat" using (86400*31.7+580000*i):(27.15-1.2*0) with points pointtype i+1 lc palette frac 0.0,\
     for [i=0:9] "legend.dat" using (86400*31.7+580000*i):(27.15-1.2*1) with points pointtype i+1 lc palette frac 0.2,\
     for [i=0:9] "legend.dat" using (86400*31.7+580000*i):(27.15-1.2*2) with points pointtype i+1 lc palette frac 0.4,\
     for [i=0:9] "legend.dat" using (86400*31.7+580000*i):(27.15-1.2*3) with points pointtype i+1 lc palette frac 0.6,\
     for [i=0:9] "legend.dat" using (86400*31.7+580000*i):(27.15-1.2*4) with points pointtype i+1 lc palette frac 0.8,\
     for [i=0:2] "legend.dat" using (86400*31.7+580000*i):(27.15-1.2*5) with points pointtype i+1 lc palette frac 1.0
